Subject: Re: Re: Prog(b)s with compiling

From: [email-masked] (Thomas Marx)
Date: Thu, 27 Nov 1997 19:23:28 +0100 (MET)

Hi again!

Russell writes:
> But every program (the tutorials and the exapmles) crash or say that virtual
> memory is exhausted although I have lots free.

When you say it crashes, do you have any kernel messages relating to the crash?
An 'Oops' maybe?

No, the computer is still alive, it throws a core.

So I tried gdb but was not installed. The xxgdb just flickers on the screen
and is away. Is there another debug possiblity?

Tom

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Thu, 27 Nov 1997 22:09:04 +0000 (GMT)

Thomas Marx writes:
> > You wrote: ;)

With the latest kernel, it should give you a message in the logs (try using
`setterm -msglevel 0' should cause the kernel to report messages onto the kernel.

> and is away. Is there another debug possiblity?

If the kernel is detecting a serious error (which it sounds like it is), then
the kernel will exit the process, and gdb won't give you any advantage...
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King        [email-masked]        --- ---
  | | | |    http://www.arm.uk.linux.org/~rmk/home.html      /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Matthew Wilcox <[email-masked]>
Date: Fri, 28 Nov 1997 02:17:48 +0000 (GMT)

> and is away. Is there another debug possiblity?

No, I haven't foung a gdb set, either.  Russell, have you compiled a set,
or would this be a useful set for me to contribute?

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Fri, 28 Nov 1997 17:27:04 +0000 (GMT)

> or would this be a useful set for me to contribute?

I do have a gdb binary (and it's related source code), but haven't been able
to compile it up for the rpm distribution.  You're most welcome to give it
a go, and I'll send you the files that I think I altered to get it going...

The only thing that you will have to be careful with gdb is the two different
page sizes on the machines.  GDB ought to automatically detect the page size
from the core file, but it doesn't at the moment.  Maybe something you could
look at?
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King        [email-masked]        --- ---
  | | | |    http://www.arm.uk.linux.org/~rmk/home.html      /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |